Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1528)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1538)
@@ -94,4 +94,5 @@
      key_c1d \
      key_cfc \
+     key_cpl_carbon_cycle \
      key_diaeiv \
      key_diainstant \
@@ -132,15 +133,15 @@
      key_traldf_c3d \
      key_traldf_eiv \
+     key_trcbbc \
+     key_trcbbl_adv \
+     key_trcbbl_dif \
      key_trc_dia3d \
      key_trc_diaadd \
      key_trc_diabio \
      key_trc_diatrd \
-     key_trc_zdfddm \
-     key_trcbbc \
-     key_trcbbl_adv \
-     key_trcbbl_dif \
      key_trcdmp \
      key_trcldf_eiv \
      key_trcldf_iso \
+     key_trc_zdfddm \
      key_trdmld_trc \
      key_vectopt_loop \
@@ -162,8 +163,8 @@
 		$(MODEL_LIB)(daymod.o)\
 		$(MODEL_LIB)(dianam.o)\
-		$(MODEL_LIB)(dom_oce.o)\
 		$(MODEL_LIB)(domain.o)\
 		$(MODEL_LIB)(domcfg.o)\
 		$(MODEL_LIB)(dommsk.o)\
+		$(MODEL_LIB)(dom_oce.o)\
 		$(MODEL_LIB)(domrea.o)\
 		$(MODEL_LIB)(domstp.o)\
@@ -171,6 +172,6 @@
 		$(MODEL_LIB)(eosbn2.o)\
 		$(MODEL_LIB)(in_out_manager.o)\
+		$(MODEL_LIB)(iom_def.o)\
 		$(MODEL_LIB)(iom.o)\
-		$(MODEL_LIB)(iom_def.o)\
 		$(MODEL_LIB)(iom_ioipsl.o)\
 		$(MODEL_LIB)(iom_nf90.o)\
@@ -215,5 +216,4 @@
 		$(MODEL_LIB)(sbc_oce.o)\
 		$(MODEL_LIB)(sbcrnf.o)\
-		$(MODEL_LIB)(sed.o)\
 		$(MODEL_LIB)(sedadv.o)\
 		$(MODEL_LIB)(sedarr.o)\
@@ -223,4 +223,5 @@
 		$(MODEL_LIB)(seddsr.o)\
 		$(MODEL_LIB)(seddta.o)\
+		$(MODEL_LIB)(sed.o)\
 		$(MODEL_LIB)(sedini.o)\
 		$(MODEL_LIB)(sedmat.o)\
@@ -238,9 +239,7 @@
 		$(MODEL_LIB)(trabbl.o)\
 		$(MODEL_LIB)(traqsr.o)\
-		$(MODEL_LIB)(trc.o)\
-		$(MODEL_LIB)(trc_oce.o)\
 		$(MODEL_LIB)(trcadv_cen2.o)\
+		$(MODEL_LIB)(trcadv_muscl2.o)\
 		$(MODEL_LIB)(trcadv_muscl.o)\
-		$(MODEL_LIB)(trcadv_muscl2.o)\
 		$(MODEL_LIB)(trcadv_smolar.o)\
 		$(MODEL_LIB)(trcadv_tvd.o)\
@@ -248,7 +247,7 @@
 		$(MODEL_LIB)(trcbbl.o)\
 		$(MODEL_LIB)(trcbio.o)\
-		$(MODEL_LIB)(trcctl.o)\
 		$(MODEL_LIB)(trcctl_c14b.o)\
 		$(MODEL_LIB)(trcctl_cfc.o)\
+		$(MODEL_LIB)(trcctl.o)\
 		$(MODEL_LIB)(trcctl_lobster.o)\
 		$(MODEL_LIB)(trcctl_my_trc.o)\
@@ -258,7 +257,8 @@
 		$(MODEL_LIB)(trcdta.o)\
 		$(MODEL_LIB)(trcexp.o)\
-		$(MODEL_LIB)(trcini.o)\
+		$(MODEL_LIB)(trc.o)\
 		$(MODEL_LIB)(trcini_c14b.o)\
 		$(MODEL_LIB)(trcini_cfc.o)\
+		$(MODEL_LIB)(trcini.o)\
 		$(MODEL_LIB)(trcini_lobster.o)\
 		$(MODEL_LIB)(trcini_my_trc.o)\
@@ -276,4 +276,5 @@
 		$(MODEL_LIB)(trclsm_pisces.o)\
 		$(MODEL_LIB)(trcnxt.o)\
+		$(MODEL_LIB)(trc_oce.o)\
 		$(MODEL_LIB)(trcopt.o)\
 		$(MODEL_LIB)(trcrad.o)\
@@ -281,13 +282,13 @@
 		$(MODEL_LIB)(trcsbc.o)\
 		$(MODEL_LIB)(trcsed.o)\
-		$(MODEL_LIB)(trcsms.o)\
 		$(MODEL_LIB)(trcsms_c14b.o)\
 		$(MODEL_LIB)(trcsms_cfc.o)\
+		$(MODEL_LIB)(trcsms.o)\
 		$(MODEL_LIB)(trcsms_lobster.o)\
 		$(MODEL_LIB)(trcsms_my_trc.o)\
 		$(MODEL_LIB)(trcsms_pisces.o)\
 		$(MODEL_LIB)(trcstp.o)\
+		$(MODEL_LIB)(trctrp_ctl.o)\
 		$(MODEL_LIB)(trctrp.o)\
-		$(MODEL_LIB)(trctrp_ctl.o)\
 		$(MODEL_LIB)(trctrp_lec.o)\
 		$(MODEL_LIB)(trcwri.o)\
@@ -300,8 +301,8 @@
 		$(MODEL_LIB)(trdmld_trc_rst.o)\
 		$(MODEL_LIB)(trp_trc.o)\
-		$(MODEL_LIB)(zdf_oce.o)\
 		$(MODEL_LIB)(zdfddm.o)\
 		$(MODEL_LIB)(zdfini.o)\
 		$(MODEL_LIB)(zdfmxl.o)\
+		$(MODEL_LIB)(zdf_oce.o)\
 		$(MODEL_LIB)(zpshde.o)\
 		$(MODEL_LIB)(zpshde_trc.o)
@@ -474,14 +475,18 @@
 	agrif_top_update.F90
 $(MODEL_LIB)(ctlopn.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	in_out_manager.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
 	ctlopn.f90
 $(MODEL_LIB)(daymod.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -490,16 +495,12 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	phycst.F90 \
 	prtctl.F90 \
@@ -507,4 +508,7 @@
 	daymod.F90
 $(MODEL_LIB)(dianam.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -514,21 +518,111 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
 	phycst.F90 \
 	prtctl.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(phycst.o) \
 	phycst.F90 \
 	KEY_CPP \
 	dianam.F90
+$(MODEL_LIB)(domain.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	daymod.F90 \
+	dommsk.F90 \
+	dom_oce.F90 \
+	domrea.F90 \
+	domstp.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dommsk.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domrea.o) \
+	$(MODEL_LIB)(domstp.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	oce.F90 \
+	phycst.F90 \
+	domzgr_substitute.h90 \
+	$(IOIPSL_LIB) \
+	KEY_CPP \
+	domain.F90
+$(MODEL_LIB)(domcfg.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(phycst.o) \
+	phycst.F90 \
+	domcfg.F90
+$(MODEL_LIB)(dommsk.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	oce.F90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	dommsk.F90
 $(MODEL_LIB)(dom_oce.o) :	\
 	$(MODEL_LIB)(par_kind.o) \
@@ -538,98 +632,13 @@
 	KEY_CPP \
 	dom_oce.F90
-$(MODEL_LIB)(domain.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dommsk.o) \
-	$(MODEL_LIB)(domrea.o) \
-	$(MODEL_LIB)(domstp.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dommsk.F90 \
-	domrea.F90 \
-	domstp.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	phycst.F90 \
-	domzgr_substitute.h90 \
-	$(IOIPSL_LIB) \
-	KEY_CPP \
-	domain.F90
-$(MODEL_LIB)(domcfg.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(phycst.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	phycst.F90 \
-	domcfg.F90
-$(MODEL_LIB)(dommsk.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	dommsk.F90
 $(MODEL_LIB)(domrea.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -642,5 +651,39 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	daymod.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	domrea_dimg.h90 \
+	domrea_fdir.h90 \
+	KEY_CPP \
+	domrea.F90
+$(MODEL_LIB)(domstp.o) :	\
+	lib_print.f90 \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	oce.F90 \
+	domzgr_substitute.h90 \
+	KEY_CPP \
+	domstp.F90
+$(MODEL_LIB)(dtadyn.o) :	\
+	dom_oce.F90 \
+	eosbn2.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -649,38 +692,7 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	lib_print.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	daymod.F90 \
-	lib_mpp.F90 \
-	domrea_dimg.h90 \
-	domrea_fdir.h90 \
-	KEY_CPP \
-	domrea.F90
-$(MODEL_LIB)(domstp.o) :	\
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	oce.F90 \
-	domzgr_substitute.h90 \
-	KEY_CPP \
-	domstp.F90
-$(MODEL_LIB)(dtadyn.o) :	\
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -699,9 +711,122 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
 	dom_oce.F90 \
 	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	ldfeiv.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(eosbn2.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(ldfeiv.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zpshde.o) \
+	oce.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	trabbl.F90 \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	zpshde.F90 \
+	domzgr_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	dtadyn.F90
+$(MODEL_LIB)(eosbn2.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	zdf_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	phycst.F90 \
+	prtctl.F90 \
+	zdfddm.F90 \
+	domzgr_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	KEY_CPP \
+	eosbn2.F90
+$(MODEL_LIB)(in_out_manager.o) :	\
+	$(MODEL_LIB)(par_kind.o) \
+	par_kind.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	par_kind.F90 \
+	par_oce.F90 \
+	in_out_manager.F90
+$(MODEL_LIB)(iom_def.o) :	\
+	$(MODEL_LIB)(par_kind.o) \
+	par_kind.F90 \
+	$(IOIPSL_LIB) \
+	KEY_CPP \
+	iom_def.F90
+$(MODEL_LIB)(iom.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom_def.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	dom_oce.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
@@ -710,115 +835,4 @@
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldfeiv.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zpshde.o) \
-	dom_oce.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	ldfeiv.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	oce.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	trabbl.F90 \
-	zdf_oce.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zpshde.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	dtadyn.F90
-$(MODEL_LIB)(eosbn2.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	zdf_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	zdfddm.F90 \
-	domzgr_substitute.h90 \
-	vectopt_loop_substitute.h90 \
-	KEY_CPP \
-	eosbn2.F90
-$(MODEL_LIB)(in_out_manager.o) :	\
-	$(MODEL_LIB)(par_kind.o) \
-	par_kind.F90 \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	in_out_manager.F90
-$(MODEL_LIB)(iom.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom_def.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
-	oce.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -828,35 +842,26 @@
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
 	KEY_CPP \
 	iom.F90
-$(MODEL_LIB)(iom_def.o) :	\
-	$(MODEL_LIB)(par_kind.o) \
-	par_kind.F90 \
-	$(IOIPSL_LIB) \
-	KEY_CPP \
-	iom_def.F90
 $(MODEL_LIB)(iom_ioipsl.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
 	$(IOIPSL_LIB) \
 	iom_ioipsl.F90
 $(MODEL_LIB)(iom_nf90.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -866,21 +871,21 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	lbclnk.F90 \
 	iom_nf90.F90
 $(MODEL_LIB)(iom_rstdimg.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -890,21 +895,20 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(lbclnk.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	lbclnk.F90 \
 	iom_rstdimg.F90
 $(MODEL_LIB)(istate.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -914,22 +918,19 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
 	phycst.F90 \
 	prtctl.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldftra_oce.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldftra_oce.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	phycst.F90 \
@@ -940,4 +941,7 @@
 	istate.F90
 $(MODEL_LIB)(lbclnk.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -945,20 +949,21 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
 	oce.F90 \
 	KEY_CPP \
 	lbclnk.F90
 $(MODEL_LIB)(ldfeiv.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -968,21 +973,17 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(phycst.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(phycst.o) \
 	oce.F90 \
 	phycst.F90 \
@@ -992,4 +993,8 @@
 	ldfeiv.F90
 $(MODEL_LIB)(ldfslp.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1001,8 +1006,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1010,4 +1011,8 @@
 	prtctl.F90 \
 	zdf_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1018,8 +1023,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
 	oce.F90 \
 	phycst.F90 \
@@ -1031,4 +1032,10 @@
 	ldfslp.F90
 $(MODEL_LIB)(ldftra.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1043,10 +1050,4 @@
 	$(MODEL_LIB)(prtctl.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	par_kind.F90 \
@@ -1055,4 +1056,10 @@
 	prtctl.F90 \
 	zdfmxl.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1063,10 +1070,4 @@
 	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(phycst.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
 	oce.F90 \
 	phycst.F90 \
@@ -1091,14 +1092,14 @@
 	lib_isml.f90
 $(MODEL_LIB)(lib_mpp.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(AGRIF_LIB) \
 	KEY_CPP \
@@ -1109,8 +1110,19 @@
 	lib_print.f90
 $(MODEL_LIB)(model.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	daymod.F90 \
+	domain.F90 \
+	domcfg.F90 \
+	dom_oce.F90 \
+	dtadyn.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	istate.F90 \
+	ldftra.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(domain.o) \
 	$(MODEL_LIB)(domcfg.o) \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtadyn.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -1126,15 +1138,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trcini.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	domain.F90 \
-	domcfg.F90 \
-	dtadyn.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	istate.F90 \
-	ldftra.F90 \
-	lib_mpp.F90 \
 	mppini.F90 \
 	oce.F90 \
@@ -1147,4 +1148,7 @@
 	model.f90
 $(MODEL_LIB)(mppini.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1152,19 +1156,16 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(sol_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
 	sol_oce.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
-	iom.F90 \
 	domzgr_substitute.h90 \
 	mppini_2.h90 \
@@ -1179,4 +1180,9 @@
 	oce.F90
 $(MODEL_LIB)(oce_trc.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -1189,11 +1195,6 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
-	lib_print.F90 \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_kind.F90 \
@@ -1201,6 +1202,12 @@
 	phycst.F90 \
 	prtctl.F90 \
-	zdf_oce.F90 \
-	zdfmxl.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1216,13 +1223,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1232,13 +1233,32 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	KEY_CPP \
 	oce_trc.F90
 $(MODEL_LIB)(opa.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	daymod.F90 \
+	dommsk.F90 \
+	dom_oce.F90 \
+	domrea.F90 \
+	domstp.F90 \
+	dtadyn.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfeiv.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dommsk.o) \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(domrea.o) \
 	$(MODEL_LIB)(domstp.o) \
@@ -1246,8 +1266,8 @@
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -1268,5 +1288,4 @@
 	$(MODEL_LIB)(stpctl.o) \
 	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcctl.o) \
 	$(MODEL_LIB)(trcdia.o) \
@@ -1278,31 +1297,13 @@
 	$(MODEL_LIB)(trcini_pisces.o) \
 	$(MODEL_LIB)(trclec.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
 	$(MODEL_LIB)(trcstp.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
 	$(MODEL_LIB)(zpshde_trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dommsk.F90 \
-	domrea.F90 \
-	domstp.F90 \
-	dtadyn.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfeiv.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1316,8 +1317,8 @@
 	stpctl.F90 \
 	trabbl.F90 \
-	trc.F90 \
 	trcctl.F90 \
 	trcdia.F90 \
 	trcdta.F90 \
+	trc.F90 \
 	trcini_c14b.F90 \
 	trcini_cfc.F90 \
@@ -1329,13 +1330,24 @@
 	trcstp.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
 	zpshde_trc.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
+	daymod.F90 \
+	domain.F90 \
+	domcfg.F90 \
+	dom_oce.F90 \
+	dtadyn.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	istate.F90 \
+	ldftra.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(domain.o) \
 	$(MODEL_LIB)(domcfg.o) \
+	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dtadyn.o) \
 	$(MODEL_LIB)(eosbn2.o) \
@@ -1351,15 +1363,4 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trcini.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	domain.F90 \
-	domcfg.F90 \
-	dtadyn.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	istate.F90 \
-	ldftra.F90 \
-	lib_mpp.F90 \
 	mppini.F90 \
 	oce.F90 \
@@ -1371,11 +1372,23 @@
 	opa.F90
 $(MODEL_LIB)(p4zbio.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -1403,19 +1416,7 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1438,7 +1439,8 @@
 	trc.F90 \
 	trc_oce.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -1454,5 +1456,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
 	oce_trc.F90 \
 	p4zlim.F90 \
@@ -1471,4 +1472,10 @@
 	p4zbio.F90
 $(MODEL_LIB)(p4zche.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1485,13 +1492,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1502,7 +1503,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1515,4 +1516,15 @@
 	p4zche.F90
 $(MODEL_LIB)(p4zflx.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1537,18 +1549,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1562,7 +1563,9 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -1570,11 +1573,11 @@
 	$(MODEL_LIB)(p4zche.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zche.F90 \
 	prtctl_trc.F90 \
+	sbc_oce.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
